Details

    • Type: Sub-task
    • Status: Patch Available
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 4.3.1
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      Sharelib may bring some jar which might conflict with user jars.

      Ex. Sharelib hive has json-2.xxxx.jar, where as some of the user use-case need higher version of json jar.

      He should be able to exclude sharelib json jar and bring his own version.

      <property>
      <name>oozie.action.sharelib.for.hive.exclusion</name>
      <value>json-*.jar|abc-*.jar</value>
      </property>

        Attachments

        1. OOZIE-1624-v1.patch
          8 kB
          Purshotam Shah
        2. OOZIE-1624-V2.patch
          9 kB
          Purshotam Shah
        3. OOZIE-1624-V3.patch
          11 kB
          Mate Juhasz
        4. OOZIE-1624-V4.patch
          10 kB
          Denes Bodo

          Activity

            People

            • Assignee:
              matijhs Mate Juhasz
              Reporter:
              puru Purshotam Shah
            • Votes:
              1 Vote for this issue
              Watchers:
              8 Start watching this issue

              Dates

              • Created:
                Updated: